From: William Desportes <williamdes@wdes.fr>
Date: Tue, 24 Dec 2024 11:29:54 +0100
Subject: Replace E_STRICT by E_DEPRECATED

Origin: vendor
Forwarded: no
---
 lib/functions.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/functions.php b/lib/functions.php
index 8162408..293df6b 100644
--- a/lib/functions.php
+++ b/lib/functions.php
@@ -145,7 +145,7 @@ function app_error_handler($errno,$errstr,$file,$lineno) {
 	$errtype = '';
 
 	switch ($errno) {
-		case E_STRICT: $errtype = 'E_STRICT'; break;
+		case E_DEPRECATED: $errtype = 'E_DEPRECATED'; break;
 		case E_ERROR: $errtype = 'E_ERROR'; break;
 		case E_WARNING: $errtype = 'E_WARNING'; break;
 		case E_PARSE: $errtype = 'E_PARSE'; break;
